Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageMagnitude Class Reference

`#include <vtkImageMagnitude.h>`

Inheritance diagram for vtkImageMagnitude:

[legend]
Collaboration diagram for vtkImageMagnitude:

[legend]
List of all members.

## Detailed Description

Colapses components with magnitude function..

Date:
  2002/01/22 15:32:58

Revision:
  1.24

vtkImageMagnitude takes the magnitude of the components.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (57%)
  - Martin, Ken (33%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImageMagnitude.cxx)`
  - .`h` (`/Imaging/vtkImageMagnitude.h)`

Tests:
  vtkImageMagnitude (Tests)

Definition at line 45 of file vtkImageMagnitude.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
## Static Public Methods
vtkImageMagnitude * | New ()
int | IsTypeOf (const char *type)
vtkImageMagnitude * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageMagnitude ()
| ~vtkImageMagnitude ()
void | ExecuteInformation (vtkImageData *inData, vtkImageData *outData)
void | ExecuteInformation ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int extent[6], int id)

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageMagnitude::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 49 of file vtkImageMagnitude.h.

## Constructor & Destructor Documentation

vtkImageMagnitude::vtkImageMagnitude | ( |  | ) | `[inline, protected]`

| Definition at line 52 of file vtkImageMagnitude.h.

vtkImageMagnitude::~vtkImageMagnitude | ( |  | ) | `[inline, protected]`

| Definition at line 53 of file vtkImageMagnitude.h.

## Member Function Documentation

vtkImageMagnitude* vtkImageMagnitude::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageMagnitude::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageMagnitude::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageMagnitude::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageMagnitude* vtkImageMagnitude::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageMagnitude::ExecuteInformation | ( | vtkImageData * | inData,
|  | vtkImageData * | outData
| ) | `[protected, virtual]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageMagnitude::ExecuteInformation | ( |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImageToImageFilter. Definition at line 56 of file vtkImageMagnitude.h. References vtkImageToImageFilter::ExecuteInformation().

void vtkImageMagnitude::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | extent[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

The documentation for this class was generated from the following file:

- Imaging/vtkImageMagnitude.h